function hranice_hlasky=uspesnost_segmentace(signal0, Fvz, slovo)



%hledání hlásky r,ř,s,š ve slově
if strfind(slovo,'r')
    hlaska='r';
elseif strfind(slovo,'ř')
    hlaska='ř';
elseif strfind(slovo,'s')
    hlaska='s';
elseif strfind(slovo,'š')
    hlaska='š';
else
    disp('slovo neobsahuje hlásku r,ř,s nebo š')
end

poradi_hlasky=strfind(slovo,hlaska);
poradi_hlasky=poradi_hlasky(1);

% signal0=decimate(signal0,3);
% Fvz=Fvz/3; 
 signal=signal0;

 % pokud je signal stereo, vem jen jeden kanal
  [P Q] = size(signal);
  if Q == 2
      signal = signal(:,1);
  end

%křivka podobnosti pomocí GMM
krivka_podobnosti=get_phoneme_postion_gmm(signal,Fvz,hlaska);
krivka_podobnosti_u=zeros(1,length(signal)); 
    for n=2:length(krivka_podobnosti)                          
        krivka_podobnosti_u(round(n*(length(signal)/length(krivka_podobnosti))))=krivka_podobnosti(n); 
    end
krivka_podobnosti_u(1)=krivka_podobnosti(1);
  


%maximum křivky podobnosti
maximumGMM=find(krivka_podobnosti_u==max(krivka_podobnosti_u));

%nalezene hranice
hranice=speech_segmentation(signal, Fvz);


%nalezeni hranic hlasky
%maximumGMM=8757; %napriklad
zacatek_hlasky=1;
konec_hlasky=length(signal);
for i=1:length(hranice)
   if  maximumGMM >= hranice(i)
       zacatek_hlasky=hranice(i);
   end
   if maximumGMM <= hranice(i)
       konec_hlasky=hranice(i);
       break
   end
end
hranice_hlasky=[zacatek_hlasky konec_hlasky];




 
 
 
 
 